@charset "UTF-8";

body {
    min-width: 1200px;
    font: normal 14px/1.5 "Microsoft YaHei", Helvetica, Arial;
    color: #555;
    background-color: #fff;
}
a {
    text-decoration: none;
    color: #333;
}
a:hover {
    color: #000;
}
ul,
ol {
    list-style: none;
    margin: 0;
    padding: 0;
}

/********************** Top导航栏 **********************/
.nav-top {
    min-width: 1200px;
    background-color: #000;
}
.nav-top > section {
    display: flex;
    height: 60px;
    max-width: 1920px;
    padding: 10px 80px;
    justify-content: space-between;
    align-items: center;
}
.nav-top > section > a {
    display: block;
}
.nav-top > section > a > img {
    display: block;
    width: auto;
    height: 60px;
}
.language-wrap {
    position: relative;
}
.btn-language {
    display: block;
    padding: 8px 18px 8px 38px;
    border-radius: 6px;
    color: #fff;
    background: rgba(255, 255, 255, .3) url('//content.game-bean.com/image/fingerfun/icon-earth.png') no-repeat 16px center;
    background-size: 14px;
    opacity: .5;
}
.btn-language:hover {
    color: #fff;
    opacity: 1;
}
.list-language {
    display: none;
    position: absolute;
    left: 0;
    top: 45px;
    z-index: 2;
    padding: 5px 18px;
    border-radius: 6px;
    color: #777;
    background-color: rgba(255, 255, 255, .5);
}
.list-language li {
    margin: 10px 0;
}
.list-language li a {
    color: #000;
}
.list-language li a:hover {
    color: #000;
}

/********************** 焦点轮播图 **********************/
.focus-wrap {
    min-width: 1200px;
    max-width: 1920px;
    margin: 0 auto;
}
.focus-wrap img {
    display: block;
    width: 100%;
    height: auto;
}

/********************** 产品列表 **********************/
.list-product {
    min-width: 1200px;
    max-width: 1920px;
    margin: 20px auto;
    padding: 0 0 30px 35px;
    list-style: none;
}
.list-product::after {
    content: "";
    clear: both;
    display: table;
    visibility: hidden;
    height: 0;
    line-height: 0;
    font-size: 0;
}
.list-product > li {
    display: block;
    box-sizing: border-box;
    float: left;
    width: 50%;
    margin: 35px 0 0 0;
    padding: 0 35px 0 0;
}
.list-product > li > article {
    display: flex;
    background-color: #f7f8f8;
}
.list-product > li > article > header {
    position: relative;
    width: 40%;
    padding: 20px 30px;
	min-height: 350px;
}
.list-product > li > article > header h1 {
    width: 128px;
    height: 128px;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
}
.list-product > li > article > header h1 img {
    display: block;
    width: 100%;
    height: 100%;
}
.list-product > li > article > header h2 {
    margin: 12px 0;
    font-size: 20px;
    line-height: 1.2;
    color: #000;
}
.list-product > li > article > header p {
    margin: 12px 0;
	text-overflow: -o-ellipsis-lastline;
    overflow: hidden;
    text-overflow: ellipsis;
    display:-webkit-box ;
    -webkit-line-clamp: 3;
    line-clamp: 2;
    -webkit-box-orient: vertical;
}
.list-product > li > article > footer {
    width: 60%;
}
.list-product > li > article > footer > img {
    display: block;
    width: 100%;
    height: auto;
}
.button-box {
    position: absolute;
    bottom: 0;
    left: 20px;
    right: 20px;
}
.button-box a {
    display: block;
    width: 130px;
    height: 40px;
    margin-bottom: 20px;
    line-height: 40px;
    font-size: 16px;
    text-align: center;
}
.btn-A {
    border: 1px solid #555;
    border-radius: 50px;
    color: #555;
}
.btn-B {
    border: 1px solid #ff1e33;
    border-radius: 50px;
    color: #ff1e33;
}
a.btn-A:hover, a.btn-B:hover {
    border-color: #ff1e33;
    color: #fff;
    background-color: #ff1e33;
}
.product-content {
    display: none;
}

/********************** 尾部 **********************/
.footer {
    padding: 50px 0;
    text-align: center;
    background-color: #f7f8f8;
}
.footer > section {
    width: 1200px;
    margin: 0 auto;
}
.footer header {
    width: 145px;
    margin: 0 auto;
}
.footer header img {
    display: block;
    width: 100%;
    height: auto;
}
.footer article {
    margin-top: 30px;
}

/********************** 弹层 **********************/
.mask-bg {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999;
    background-color: rgba(0, 0, 0, .8);
}
.mask-box {
    position: relative;
    width: 760px;
    margin: 8% auto;
    border-radius: 20px;
    overflow: hidden;
}
.mask-box .btn-closk {
    display: block;
    position: absolute;
    top: 15px;
    right: 10px;
    width: 24px;
    height: 24px;
    font-size: 0;
    line-height: 0;
    background: transparent url('//content.game-bean.com/image/fingerfun/icon-close.png') no-repeat;
}
.mask-box header {
    box-sizing: border-box;
    height: 300px;
    padding: 60px 20px 20px;
    text-align: center;
    background: transparent url('//content.game-bean.com/image/fingerfun/pop-bg.jpg') no-repeat center / 100% 100%;
}
.mask-box header h3 {
    font-size: 34px;
    color: #fff;
}
.mask-box header h4 {
    font-size: 25px;
    color: #fff;
}
.mask-box footer {
    padding: 20px;
    text-align: center;
    background-color: #fff;
}
.btn-dl {
    display: inline-block;
    width: 200px;
    height: 67px;
    margin: 0 15px;
    padding: 0;
    font-size: 0;
    line-height: 0;
    background: transparent url('//content.game-bean.com/image/fingerfun/button-google-play.png') no-repeat center / 100% 100%;
    overflow: hidden;
}
.btn-dl.btn-dl-googlePlay {
    background-image: url('//content.game-bean.com/image/fingerfun/button-google-play.png');
}
.btn-dl.btn-dl-appleStore {
    background-image: url('//content.game-bean.com/image/fingerfun/button-apple-store.png');
}
.btn-dl.btn-dl-apk {
    background-image: url('//content.game-bean.com/image/fingerfun/button-apk.png');
}

.swiper-pagination-bullet {
    width: 80px;
    height: 6px;
    border-radius: 10px;
    background-color: #fff;
    opacity: .5;
}
.swiper-pagination-bullet-active {
    background-color: #ff1e33;
}

@media screen and (max-width: 1440px) {
    .list-product > li > article > header h1 {
        width: 80px;
        height: 80px;
        margin: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
    }
}
